Page MenuHomePhabricator

paramInfo is missing in Parsoid output for template which contains extension as a root element
Closed, ResolvedPublic

Description

Because paramInfo is missing it leads to creation of "dirty diffs" when editing invocation of a template.

I recorded a video that shows this problem: http://cl.ly/1T38012d0j1a It is based on this two articles:

https://www.mediawiki.org/w/index.php?title=User:Inez_Korczy%C5%84ski/Test1&oldid=1960800
https://www.mediawiki.org/w/index.php?title=User:Inez_Korczy%C5%84ski/Test&oldid=1960799

Event Timeline

Inez created this task.Dec 11 2015, 12:12 AM
Inez claimed this task.
Inez raised the priority of this task from to Needs Triage.
Inez updated the task description. (Show Details)
Inez added a project: Parsoid.
Inez added a subscriber: Inez.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 11 2015, 12:12 AM

Change 258386 had a related patch set uploaded (by Inez):
T121174: Carry over paramInfo when unpacking DOMFragment

https://gerrit.wikimedia.org/r/258386

ssastry triaged this task as Medium priority.Dec 14 2015, 5:37 PM
ssastry set Security to None.

Change 258386 merged by jenkins-bot:
T121174: Carry over paramInfo when unpacking DOMFragment

https://gerrit.wikimedia.org/r/258386

ssastry closed this task as Resolved.Dec 15 2015, 12:23 AM
ssastry removed a project: Patch-For-Review.